/*
 * BRLTTY - A background process providing access to the Linux console (when in
 *          text mode) for a blind person using a refreshable braille display.
 *
 * Copyright (C) 1995-2001 by The BRLTTY Team. All rights reserved.
 *
 * BRLTTY comes with ABSOLUTELY NO WARRANTY.
 *
 * This is free software, placed under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation.  Please see the file COPYING for details.
 *
 * Web Page: http://mielke.cc/brltty/
 *
 * This software is maintained by Dave Mielke <dave@mielke.cc>.
 */

/* Derived from linux-2.2.17/fs/nls/nls_cp874.c by Dave Mielke <dave@mielke.cc>. */

[0x00]0x0000, // null
[0x01]0x0001, // start of heading
[0x02]0x0002, // start of text
[0x03]0x0003, // end of text
[0x04]0x0004, // end of transmission
[0x05]0x0005, // enquiry
[0x06]0x0006, // acknowledge
[0x07]0x0007, // bell
[0x08]0x0008, // backspace
[0x09]0x0009, // horizontal tabulation
[0x0a]0x000a, // line feed
[0x0b]0x000b, // vertical tabulation
[0x0c]0x000c, // form feed
[0x0d]0x000d, // carriage return
[0x0e]0x000e, // shift out
[0x0f]0x000f, // shift in
[0x10]0x0010, // data link escape
[0x11]0x0011, // device control one
[0x12]0x0012, // device control two
[0x13]0x0013, // device control three
[0x14]0x0014, // device control four
[0x15]0x0015, // negative acknowledge
[0x16]0x0016, // synchronous idle
[0x17]0x0017, // end of transmission block
[0x18]0x0018, // cancel
[0x19]0x0019, // end of medium
[0x1a]0x001a, // substitute
[0x1b]0x001b, // escape
[0x1c]0x001c, // file separator
[0x1d]0x001d, // group separator
[0x1e]0x001e, // record separator
[0x1f]0x001f, // unit separator
[0x20]0x0020, // space
[0x21]0x0021, // exclamation mark
[0x22]0x0022, // quotation mark
[0x23]0x0023, // number sign
[0x24]0x0024, // dollar sign
[0x25]0x0025, // percent sign
[0x26]0x0026, // ampersand
[0x27]0x0027, // apostrophe
[0x28]0x0028, // left parenthesis
[0x29]0x0029, // right parenthesis
[0x2a]0x002a, // asterisk
[0x2b]0x002b, // plus sign
[0x2c]0x002c, // comma
[0x2d]0x002d, // hyphen-minus
[0x2e]0x002e, // full stop
[0x2f]0x002f, // solidus
[0x30]0x0030, // digit zero
[0x31]0x0031, // digit one
[0x32]0x0032, // digit two
[0x33]0x0033, // digit three
[0x34]0x0034, // digit four
[0x35]0x0035, // digit five
[0x36]0x0036, // digit six
[0x37]0x0037, // digit seven
[0x38]0x0038, // digit eight
[0x39]0x0039, // digit nine
[0x3a]0x003a, // colon
[0x3b]0x003b, // semicolon
[0x3c]0x003c, // less-than sign
[0x3d]0x003d, // equals sign
[0x3e]0x003e, // greater-than sign
[0x3f]0x003f, // question mark
[0x40]0x0040, // commercial at
[0x41]0x0041, // latin capital letter a
[0x42]0x0042, // latin capital letter b
[0x43]0x0043, // latin capital letter c
[0x44]0x0044, // latin capital letter d
[0x45]0x0045, // latin capital letter e
[0x46]0x0046, // latin capital letter f
[0x47]0x0047, // latin capital letter g
[0x48]0x0048, // latin capital letter h
[0x49]0x0049, // latin capital letter i
[0x4a]0x004a, // latin capital letter j
[0x4b]0x004b, // latin capital letter k
[0x4c]0x004c, // latin capital letter l
[0x4d]0x004d, // latin capital letter m
[0x4e]0x004e, // latin capital letter n
[0x4f]0x004f, // latin capital letter o
[0x50]0x0050, // latin capital letter p
[0x51]0x0051, // latin capital letter q
[0x52]0x0052, // latin capital letter r
[0x53]0x0053, // latin capital letter s
[0x54]0x0054, // latin capital letter t
[0x55]0x0055, // latin capital letter u
[0x56]0x0056, // latin capital letter v
[0x57]0x0057, // latin capital letter w
[0x58]0x0058, // latin capital letter x
[0x59]0x0059, // latin capital letter y
[0x5a]0x005a, // latin capital letter z
[0x5b]0x005b, // left square bracket
[0x5c]0x005c, // reverse solidus
[0x5d]0x005d, // right square bracket
[0x5e]0x005e, // circumflex accent
[0x5f]0x005f, // low line
[0x60]0x0060, // grave accent
[0x61]0x0061, // latin small letter a
[0x62]0x0062, // latin small letter b
[0x63]0x0063, // latin small letter c
[0x64]0x0064, // latin small letter d
[0x65]0x0065, // latin small letter e
[0x66]0x0066, // latin small letter f
[0x67]0x0067, // latin small letter g
[0x68]0x0068, // latin small letter h
[0x69]0x0069, // latin small letter i
[0x6a]0x006a, // latin small letter j
[0x6b]0x006b, // latin small letter k
[0x6c]0x006c, // latin small letter l
[0x6d]0x006d, // latin small letter m
[0x6e]0x006e, // latin small letter n
[0x6f]0x006f, // latin small letter o
[0x70]0x0070, // latin small letter p
[0x71]0x0071, // latin small letter q
[0x72]0x0072, // latin small letter r
[0x73]0x0073, // latin small letter s
[0x74]0x0074, // latin small letter t
[0x75]0x0075, // latin small letter u
[0x76]0x0076, // latin small letter v
[0x77]0x0077, // latin small letter w
[0x78]0x0078, // latin small letter x
[0x79]0x0079, // latin small letter y
[0x7a]0x007a, // latin small letter z
[0x7b]0x007b, // left curly bracket
[0x7c]0x007c, // vertical line
[0x7d]0x007d, // right curly bracket
[0x7e]0x007e, // tilde
[0x7f]0x007f, // delete
[0x80]0x0000, // null
[0x81]0x0000, // null
[0x82]0x0000, // null
[0x83]0x0000, // null
[0x84]0x0000, // null
[0x85]0x2026, // horizontal ellipsis
[0x86]0x0000, // null
[0x87]0x0000, // null
[0x88]0x0000, // null
[0x89]0x0000, // null
[0x8a]0x0000, // null
[0x8b]0x0000, // null
[0x8c]0x0000, // null
[0x8d]0x0000, // null
[0x8e]0x0000, // null
[0x8f]0x0000, // null
[0x90]0x0000, // null
[0x91]0x2018, // left single quotation mark
[0x92]0x2019, // right single quotation mark
[0x93]0x201c, // left double quotation mark
[0x94]0x201d, // right double quotation mark
[0x95]0x2022, // bullet
[0x96]0x2013, // en dash
[0x97]0x2014, // em dash
[0x98]0x0000, // null
[0x99]0x0000, // null
[0x9a]0x0000, // null
[0x9b]0x0000, // null
[0x9c]0x0000, // null
[0x9d]0x0000, // null
[0x9e]0x0000, // null
[0x9f]0x0000, // null
[0xa0]0x00a0, // no-break space
[0xa1]0x0e01, // thai character ko kai
[0xa2]0x0e02, // thai character kho khai
[0xa3]0x0e03, // thai character kho khuat
[0xa4]0x0e04, // thai character kho khwai
[0xa5]0x0e05, // thai character kho khon
[0xa6]0x0e06, // thai character kho rakhang
[0xa7]0x0e07, // thai character ngo ngu
[0xa8]0x0e08, // thai character cho chan
[0xa9]0x0e09, // thai character cho ching
[0xaa]0x0e0a, // thai character cho chang
[0xab]0x0e0b, // thai character so so
[0xac]0x0e0c, // thai character cho choe
[0xad]0x0e0d, // thai character yo ying
[0xae]0x0e0e, // thai character do chada
[0xaf]0x0e0f, // thai character to patak
[0xb0]0x0e10, // thai character tho than
[0xb1]0x0e11, // thai character tho nangmontho
[0xb2]0x0e12, // thai character tho phuthao
[0xb3]0x0e13, // thai character no nen
[0xb4]0x0e14, // thai character do dek
[0xb5]0x0e15, // thai character to tao
[0xb6]0x0e16, // thai character tho thung
[0xb7]0x0e17, // thai character tho thahan
[0xb8]0x0e18, // thai character tho thong
[0xb9]0x0e19, // thai character no nu
[0xba]0x0e1a, // thai character bo baimai
[0xbb]0x0e1b, // thai character po pla
[0xbc]0x0e1c, // thai character pho phung
[0xbd]0x0e1d, // thai character fo fa
[0xbe]0x0e1e, // thai character pho phan
[0xbf]0x0e1f, // thai character fo fan
[0xc0]0x0e20, // thai character pho samphao
[0xc1]0x0e21, // thai character mo ma
[0xc2]0x0e22, // thai character yo yak
[0xc3]0x0e23, // thai character ro rua
[0xc4]0x0e24, // thai character ru
[0xc5]0x0e25, // thai character lo ling
[0xc6]0x0e26, // thai character lu
[0xc7]0x0e27, // thai character wo waen
[0xc8]0x0e28, // thai character so sala
[0xc9]0x0e29, // thai character so rusi
[0xca]0x0e2a, // thai character so sua
[0xcb]0x0e2b, // thai character ho hip
[0xcc]0x0e2c, // thai character lo chula
[0xcd]0x0e2d, // thai character o ang
[0xce]0x0e2e, // thai character ho nokhuk
[0xcf]0x0e2f, // thai character paiyannoi
[0xd0]0x0e30, // thai character sara a
[0xd1]0x0e31, // thai character mai han-akat
[0xd2]0x0e32, // thai character sara aa
[0xd3]0x0e33, // thai character sara am
[0xd4]0x0e34, // thai character sara i
[0xd5]0x0e35, // thai character sara ii
[0xd6]0x0e36, // thai character sara ue
[0xd7]0x0e37, // thai character sara uee
[0xd8]0x0e38, // thai character sara u
[0xd9]0x0e39, // thai character sara uu
[0xda]0x0e3a, // thai character phinthu
[0xdb]0x0000, // null
[0xdc]0x0000, // null
[0xdd]0x0000, // null
[0xde]0x0000, // null
[0xdf]0x0e3f, // thai currency symbol baht
[0xe0]0x0e40, // thai character sara e
[0xe1]0x0e41, // thai character sara ae
[0xe2]0x0e42, // thai character sara o
[0xe3]0x0e43, // thai character sara ai maimuan
[0xe4]0x0e44, // thai character sara ai maimalai
[0xe5]0x0e45, // thai character lakkhangyao
[0xe6]0x0e46, // thai character maiyamok
[0xe7]0x0e47, // thai character maitaikhu
[0xe8]0x0e48, // thai character mai ek
[0xe9]0x0e49, // thai character mai tho
[0xea]0x0e4a, // thai character mai tri
[0xeb]0x0e4b, // thai character mai chattawa
[0xec]0x0e4c, // thai character thanthakhat
[0xed]0x0e4d, // thai character nikhahit
[0xee]0x0e4e, // thai character yamakkan
[0xef]0x0e4f, // thai character fongman
[0xf0]0x0e50, // thai digit zero
[0xf1]0x0e51, // thai digit one
[0xf2]0x0e52, // thai digit two
[0xf3]0x0e53, // thai digit three
[0xf4]0x0e54, // thai digit four
[0xf5]0x0e55, // thai digit five
[0xf6]0x0e56, // thai digit six
[0xf7]0x0e57, // thai digit seven
[0xf8]0x0e58, // thai digit eight
[0xf9]0x0e59, // thai digit nine
[0xfa]0x0e5a, // thai character angkhankhu
[0xfb]0x0e5b, // thai character khomut
[0xfc]0x0000, // null
[0xfd]0x0000, // null
[0xfe]0x0000, // null
[0xff]0x0000  // null
